# Update a Financial Account

Updates an existing FinancialAccount using the provided parameters.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/financial_accounts/fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --json '{
    "display_name": "My FinancialAccount",
    "metadata": {
        "key": "value"
    }
  }'
```

### Response

```json
{
  "id": "fa_65NvTFNdpXXUx1kx1rB16NoTesLDSQ1IgNPigisRKq09iq",
  "object": "v2.money_management.financial_account",
  "balance": {
    "available": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    },
    "inbound_pending": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    },
    "outbound_pending": {
      "usd": {
        "value": 0,
        "currency": "usd"
      }
    }
  },
  "country": "US",
  "created": "2025-06-27T21:52:05.197Z",
  "display_name": "My FinancialAccount",
  "livemode": true,
  "metadata": {
    "key": "value"
  },
  "status": "open",
  "storage": {
    "holds_currencies": [
      "usd"
    ]
  },
  "type": "storage"
}
```

## Parameters

- `display_name` (string, optional)
  A descriptive name for the FinancialAccount, up to 50 characters long. This name appears in the Stripe Dashboard and embedded components.

- `metadata` (map, optional)
  Set of key-value pairs that you can attach to the FinancialAccount. Individual keys can be unset by posting null to them.

## Returns

Returns a [Financial Account object](https://docs.stripe.com/api/v2/money-management/financial-accounts/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 400 | capability_not_active | The account is missing capabilities required for this request. |
| 400 | financial_account_cannot_forward_self | A FinancialAccount cannot forward to itself. |
| 400 | financial_account_capability_not_enabled | Error thrown when attempting to add currencies that require capabilities that are not enabled. |
| 400 | financial_account_capability_restricted | Error thrown when attempting to add currencies that require capabilities that are restricted. |
| 400 | financial_account_close_requires_forwarding_financial_account | Closing a savings Financial Account requires a forwarding Financial Account of type storage. |
| 400 | financial_account_crypto_currency_network_unsupported | The requested crypto currency and network combination is not supported. |
| 400 | financial_account_crypto_custody_model_immutable | A Financial Account’s configured crypto custody model is immutable. |
| 400 | financial_account_crypto_network_immutable | A currency’s configured crypto storage network is immutable. |
| 400 | financial_account_demand_deposit_account_unsupported_currency | The requested currencies are not supported for demand deposit account-backed FinancialAccounts. |
| 400 | financial_account_exportable_balances_forwarding_immutable | Exportable-balance forwarding cannot be changed from false to true. |
| 400 | financial_account_in_forwarding_settings_required | In the EU, closing a Financial Account with forwarding settings requires supplying another Financial Account. |
| 400 | financial_account_operation_unsupported_for_type | Operation not supported on Financial Accounts with this type. |
| 400 | financial_account_remove_currency_unsupported | Error thrown when attempting to remove currencies that have been enabled. |
| 400 | financial_account_wallet_export_completed | Exportable-balance forwarding cannot change after wallet export completes. |
| 400 | forwarding_settings_currency_must_overlap_with_financial_account | Payment or payout method currency must be one of the Financial Account’s supported currencies. |
| 400 | forwarding_settings_update_on_closed_financial_account_only | Updating `forwarding_settings` on a FinancialAccount may only be done on a `closed` FinancialAccount. Use the `/close` endpoint if you would like to close the FinancialAccount. |
| 400 | platform_financial_account_currency_required | The currency is not supported as the platform does not have a Financial Account that holds the currency. |
| 400 | unsupported_currency | The currency is not supported for Financial Accounts. |
| 400 | unsupported_operation_on_managed_financial_account_resource | Modification of an object is not allowed on a managed account. |
| 404 | not_found | The resource wasn’t found. |
